Bug 837661 - get_instance_metadata chokes on empty strings - breaks cloud-init
get_instance_metadata chokes on empty strings - breaks cloud-init
Product: Fedora
Classification: Fedora
Component: python-boto (Show other bugs)
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Garrett Holmstrom
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-07-04 11:46 EDT by Neil Wilson
Modified: 2012-07-17 13:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-07-17 13:25:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Fix for get-instance-metadata (504 bytes, patch)
2012-07-04 11:55 EDT, Neil Wilson
no flags Details | Diff

  None (edit)
Description Neil Wilson 2012-07-04 11:46:12 EDT
Description of problem:

An alteration to boto to support json metadata has broken the 'get_instance_metadata' routing in 'utils'. This stops the 'cloud-init' service from working properly where any of the meta-data fields are empty (eg public ip).

Version-Release number of selected component (if applicable):


How reproducible:

Run cloudinit against a EC2 interface with a blank public ip.
Comment 1 Neil Wilson 2012-07-04 11:55:56 EDT
Created attachment 596253 [details]
Fix for get-instance-metadata
Comment 2 Fedora Update System 2012-07-08 23:22:21 EDT
python-boto-2.5.2-1.fc17 has been submitted as an update for Fedora 17.
Comment 3 Garrett Holmstrom 2012-07-08 23:31:51 EDT
Thanks for the report!

The update system appears to have failed to mention that this update is already in updates-testing.  If you're interested in testing the fix for this bug then please run:

    yum --enablerepo=updates-testing update python-boto

...and then give it +1 here if the package works:

Comment 4 Fedora Update System 2012-07-17 13:25:05 EDT
python-boto-2.5.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.